package example;

import to.uploaded.Uploaded;
import to.uploaded.exception.LoginFailedException;
import to.uploaded.file.UPFile;
import to.uploaded.file.UPFileHandler;
import to.uploaded.file.UPFileList;

public class FileHandlerExample {

	/**
	 * @param args
	 * @throws LoginFailedException 
	 */
	public static void main(String[] args) throws LoginFailedException {
		
		Uploaded up = new Uploaded("User-ID", "User-PW");
		
		UPFileHandler upFileHandler = up.getUPFileHandler();
		
		UPFileList upFileList = upFileHandler.fetchFileList();
		
		//Sucht eine File-Id
		UPFile upFile1 = upFileList.findId("FileId");
		
		System.out.println(upFile1.getFileExtension());
		
		//Gibt alle Dateinamen aus die sich auf dem Account befinden
		for(int i = 0, c = upFileList.size(); i < c; i++)
		{
			System.out.println(upFileList.get(i).getFilename());
		}
		
		
		//Delete
		upFileHandler.delete(upFile1);
		upFileHandler.delete("FileID");
		
		//Move
		upFileHandler.moveToFolder("FileID", "FolderID");
		
		//Rename
		upFileHandler.rename("FileId", "neuer name");
		
		//Set Privacy
		upFileHandler.setPrivacy("File-ID", UPFileHandler.UP_PRIVACY_PRIVATE, null); //Nur ich
		upFileHandler.setPrivacy(upFile1, UPFileHandler.UP_PRIVACY_PRIVATE, null); //Nur ich
		
		upFileHandler.setPrivacy("File-ID", UPFileHandler.UP_PRIVACY_NONE, null); //alle
		upFileHandler.setPrivacy(upFile1, UPFileHandler.UP_PRIVACY_NONE, null); //alle
		
		upFileHandler.setPrivacy("File-ID", UPFileHandler.UP_PRIVACY_PW, "PW-1234"); //Passwort setzten
		upFileHandler.setPrivacy(upFile1, UPFileHandler.UP_PRIVACY_PW, "PW-1234"); //Passwort setzten

	}

}
