package example;

import java.io.File;

import to.uploaded.Uploaded;
import to.uploaded.exception.LoginFailedException;
import to.uploaded.exception.UploadFailedExecption;
import to.uploaded.file.UPUpload;
import to.uploaded.file.UPUpload.UPUploadProgress;

public class UploadFileThreadExample extends Thread{

	private UPUpload upUpload;
	
	
	public UploadFileThreadExample(UPUpload upUpload)
	{
		this.upUpload = upUpload;
		
		this.upUpload.addUPUploadProgressListener(new UPUploadProgress() {
			
			@Override
			public void progress(UPUpload upUpload) {

				System.out.println(Thread.currentThread().getName() + " : " + upUpload.getLength() + " " + upUpload.getProgressByte());
				
			}
		});
	}
	
	@Override
	public void run() {
		
		try {
			upUpload.start();
			
			while(!upUpload.isFinish())
			{
				
			}
			
			System.out.println("Fertig");
			
		} catch (UploadFailedExecption e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		
	}
	
	
	/**
	 * @param args
	 * @throws LoginFailedException 
	 */
	public static void main(String[] args) throws LoginFailedException {
		
		Uploaded up = new Uploaded("User-ID", "User-PW");
		
		UploadFileThreadExample t1 = new UploadFileThreadExample(up.factoryUpload(new File("D:/test.c")));
		UploadFileThreadExample t2 = new UploadFileThreadExample(up.factoryUpload(new File("D:/test.c")));
		UploadFileThreadExample t3 = new UploadFileThreadExample(up.factoryUpload(new File("D:/test.c")));
		
		t1.setName("Upload 1");
		t2.setName("Upload 2");
		t3.setName("Upload 3");
		
		t1.start();
		t2.start();
		t3.start();
		
	}
}
