//    Uploaded.to API - Java
//    Copyright (C) 2012  Julius Fischer webmaster@it-gecko.de
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

package to.uploaded.file;

import java.util.ArrayList;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;

public class UPFileList extends ArrayList<UPFile>{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -7397818439072555754L;
	
	/**
	 * Findet eine File-ID
	 * @param id File-Id
	 * @return
	 */
	public UPFile findId(String id)
	{
		for(int i = 0, c = size(); i < c; i++)
		{
			if(get(i).getId().equals(id))
				return get(i);
		}
		
		return null;
	}

	public static UPFileList parseJSON(JSONArray json)
	{
		UPFileList upFileList = new UPFileList();
		
		for(int i = 0, c = json.size(); i < c; i++)
		{
			upFileList.add(new UPFile((JSONObject)json.get(i)));
		}		
		
		return upFileList;
	}

}
